Get filtered device report declarations

Get a device report containing the filtered declarations reported for the provided deviceId. Supports pagination, sorting, and filtering with RSQL syntax. Filtering: Filters only apply to declarations already on the device (excludes PENDING status). Supported filter fields: declarationIdentifier, active, declarationType, validityState, dateUpdated, channel. Note: Wildcard matching on declarationIdentifier (e.g. declarationIdentifier==Blueprint_*) is case-insensitive. Sorting: Use ?sort=field,direction (e.g., ?sort=declarationType,asc&sort=declarationIdentifier,desc). Supported sort fields: declarationIdentifier, declarationType, active, validityState, dateUpdated. Results are returned in database order if no sort parameter is provided. For more information on RSQL, see Jamf Developer Portal

Required Permissions: read:pro:declaration-reporting, read:school:declaration-reporting

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

The tenant UUID identifier

string
required

The platform deviceId

Query Params
string
required

RSQL filter expression. Allowed fields: declarationIdentifier, active, validityState, declarationType, dateUpdated, channel

integer
≥ 0
Defaults to 0

Zero-based page index (0..N)

integer
≥ 1
Defaults to 20

The size of the page to be returned

sort
array of strings

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

sort
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json